"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const chalk_1 = require("chalk");
const noCredMessage = `Missing credentials! Please provide a profile. You can refer an existing profile by 'sg deploy --profile <profile>' or by env with AWS_PROFILE. For further information consult https://docs.aws.amazon.com/cli/latest/topic/config-vars.html.`;
const noAssetsMessage = `Cannot find the directory 'dist/assets' within the folder. Forgot sg build?`;
const noRevertAssetMessage = `Cannot revert asset folder, because it is not implemented yet.`;
const noChangesInDiffMessage = `No changes were to the infrastructure template`;
const noS3DeplyomentMessage = `No S3 bucket will be deployed`;
const noOwnerMessage = `Could not retrieve the owner name of the github repo. Please add a github.com repo to your package.json or write the owner to GITHUB_OWNER`;
const noRepoMessage = `Could not retrieve the repository name, will go on with the name in package.json`;
const noGitRepo = `Could not retrieve repository name, which is essential for the pipeline! Add it in your package.json or via GITHUB_REPO in env.`;
const noGithubToken = `Could not retrieve github token. Might not be able to retrieve changes from repository`;
function noOwnerFound() {
    log(chalk_1.default.red(noOwnerMessage));
}
exports.noOwnerFound = noOwnerFound;
function noGitRepoFound() {
    log(chalk_1.default.red(noGitRepo));
}
exports.noGitRepoFound = noGitRepoFound;
function noGithubTokenFound() {
    log(chalk_1.default.red(noGithubToken));
}
exports.noGithubTokenFound = noGithubTokenFound;
function repoFound() {
    log(chalk_1.default.yellow(noRepoMessage));
}
exports.repoFound = repoFound;
function noCredentialsSet() {
    log(chalk_1.default.red(noCredMessage));
}
exports.noCredentialsSet = noCredentialsSet;
function noAssetsFound() {
    log(chalk_1.default.red(noAssetsMessage));
}
exports.noAssetsFound = noAssetsFound;
function cannotRevertAssetFolder() {
    log(chalk_1.default.yellow(noRevertAssetMessage));
}
exports.cannotRevertAssetFolder = cannotRevertAssetFolder;
function noChangesInDiff() {
    log(chalk_1.default.green(noChangesInDiffMessage));
}
exports.noChangesInDiff = noChangesInDiff;
function noS3Deploy() {
    log(chalk_1.default.yellow(noS3DeplyomentMessage));
}
exports.noS3Deploy = noS3Deploy;
function log(...messages) {
    console.log(...messages);
}
//# sourceMappingURL=log_messages.js.map