"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function createLogicalToPathMap(stack) {
    const map = {};
    const data = stack.metadata;
    const dataKeys = Object.keys(data);
    dataKeys.forEach(key => data[key].forEach(entry => addEntry(map, entry, key)));
    return map;
}
exports.createLogicalToPathMap = createLogicalToPathMap;
function addEntry(map, entry, key) {
    entry.type === 'aws:cdk:logicalId' && entry.data && (map[entry.data] = key);
}
//# sourceMappingURL=logical_to_path_map.js.map