"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const commands_1 = require("@seagull/commands");
const commands_fs_1 = require("@seagull/commands-fs");
const lib_1 = require("./lib");
class ProvideAssetFolder extends commands_1.Command {
    constructor(appPath) {
        super();
        const assetPath = `${appPath}/dist/assets`;
        const deployPath = `${appPath}/.seagull/deploy/dist`;
        const newAssetPath = `${deployPath}/assets`;
        const serverJsPath = `${newAssetPath}/backend/server.js`;
        this.createDistFolder = new commands_fs_1.FS.CreateFolder(deployPath);
        this.checkAssetFolder = new commands_fs_1.FS.Exists(newAssetPath);
        this.deleteAssetFolder = new commands_fs_1.FS.DeleteFolder(newAssetPath);
        this.copyAssetFolder = new commands_fs_1.FS.CopyFolder(assetPath, newAssetPath);
        this.deleteServerFile = new commands_fs_1.FS.DeleteFile(serverJsPath);
    }
    execute() {
        return __awaiter(this, void 0, void 0, function* () {
            const folderExists = yield this.checkAssetFolder.execute();
            folderExists && (yield this.deleteAssetFolder.execute());
            yield this.createDistFolder.execute();
            yield this.copyAssetFolder.execute();
            yield this.deleteServerFile.execute();
        });
    }
    revert() {
        return __awaiter(this, void 0, void 0, function* () {
            lib_1.cannotRevertAssetFolder();
            return true;
        });
    }
}
exports.ProvideAssetFolder = ProvideAssetFolder;
//# sourceMappingURL=provide_asset_folder.js.map