"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const aws_sdk_1 = require("aws-sdk");
function setCredsByProfile(profile) {
    const filename = process.env.AWS_SHARED_CREDENTIALS_FILE;
    const creds = new aws_sdk_1.SharedIniFileCredentials({ filename, profile });
    const areValidCreds = creds.accessKeyId && creds.secretAccessKey;
    return areValidCreds ? writeCreds(creds, profile) : false;
}
exports.setCredsByProfile = setCredsByProfile;
function writeCreds(creds, profile) {
    aws_sdk_1.config.credentials = creds;
    process.env.AWS_PROFILE = profile;
    return true;
}
//# sourceMappingURL=set_aws_credentials.js.map