import { SSMHandler } from '../aws_sdk_handler';
import { SeagullApp } from '../seagull_app';
interface SeagullPipelineProps {
    appPath: string;
    branch: string;
    githubToken?: string;
    mode: string;
    profile: string;
    owner?: string;
    region: string;
    repository?: string;
    ssmParameter?: string;
    handlers?: {
        ssmHandler?: SSMHandler;
    };
}
export declare class SeagullPipeline {
    appPath: string;
    branch: string;
    mode: string;
    owner?: string;
    profile: string;
    region: string;
    repository?: string;
    ssm: SSMHandler;
    ssmParam?: string;
    githubToken?: string;
    actions: string[];
    constructor(props: SeagullPipelineProps);
    createPipeline(): Promise<SeagullApp>;
    deployPipeline(): Promise<void>;
}
export {};
