"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
require("chai/register-should");
const mocha_typescript_1 = require("mocha-typescript");
const testing_1 = require("@seagull/testing");
const src_1 = require("../../src");
let Test = class Test extends testing_1.BasicTest {
    before() {
        return __awaiter(this, void 0, void 0, function* () {
            yield testing_1.BasicTest.prototype.before.bind(this)();
        });
    }
    after() {
        return __awaiter(this, void 0, void 0, function* () {
            yield testing_1.BasicTest.prototype.after.bind(this)();
        });
    }
    'can get github creds'() {
        return __awaiter(this, void 0, void 0, function* () {
            const branchName = 'test-branch';
            const directRepo = 'repository';
            const directOwner = 'me';
            const packageName = 'test-pkg';
            const pkgRepoName = 'pkg-repo-name';
            const pkgRepoOwner = 'pkg-owner-name';
            const props = {
                branch: branchName,
                mode: 'test',
                owner: directOwner,
                pkg: {
                    name: packageName,
                    repository: {
                        type: 'git',
                        url: `git+https://github.com/${pkgRepoOwner}/${pkgRepoName}.git`,
                    },
                },
                repo: directRepo,
            };
            const gitData = src_1.getGitData(props);
            gitData.branch.should.be.equals(branchName);
            gitData.owner.should.be.equals(directOwner);
            gitData.repo.should.be.equals(directRepo);
        });
    }
    'can get github creds without direct owner, repo or token'() {
        return __awaiter(this, void 0, void 0, function* () {
            const branchName = 'test-branch';
            const packageName = 'test-pkg';
            const pkgRepoName = 'pkg-repo-name';
            const pkgRepoOwner = 'pkg-owner-name';
            const props = {
                branch: branchName,
                mode: 'test',
                pkg: {
                    name: packageName,
                    repository: {
                        type: 'git',
                        url: `git+https://github.com/${pkgRepoOwner}/${pkgRepoName}.git`,
                    },
                },
            };
            const gitData = src_1.getGitData(props);
            gitData.branch.should.be.equals(branchName);
            gitData.owner.should.be.equals(pkgRepoOwner);
            gitData.repo.should.be.equals(pkgRepoName);
        });
    }
    'can get github creds without repository block in pkg.json'() {
        return __awaiter(this, void 0, void 0, function* () {
            const branchName = 'test-branch';
            const directOwner = 'me';
            const packageName = 'test-pkg';
            const props = {
                branch: branchName,
                mode: 'test',
                owner: directOwner,
                pkg: {
                    name: packageName,
                },
            };
            const gitData = src_1.getGitData(props);
            gitData.branch.should.be.equals(branchName);
            gitData.owner.should.be.equals(directOwner);
            gitData.repo.should.be.equals(packageName);
        });
    }
    'can get faulty config, when nothing is set'() {
        return __awaiter(this, void 0, void 0, function* () {
            const branchName = 'test-branch';
            const props = {
                branch: branchName,
                mode: 'test',
            };
            const gitData = src_1.getGitData(props);
            gitData.branch.should.be.equals(branchName);
            gitData.owner.should.be.equals('noOwner');
            gitData.repo.should.be.equals('noRepo');
        });
    }
};
__decorate([
    mocha_typescript_1.test,
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", Promise)
], Test.prototype, "can get github creds", null);
__decorate([
    mocha_typescript_1.test,
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", Promise)
], Test.prototype, "can get github creds without direct owner, repo or token", null);
__decorate([
    mocha_typescript_1.test,
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", Promise)
], Test.prototype, "can get github creds without repository block in pkg.json", null);
__decorate([
    mocha_typescript_1.test,
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", Promise)
], Test.prototype, "can get faulty config, when nothing is set", null);
Test = __decorate([
    mocha_typescript_1.suite('GetGitHubCreds')
], Test);
exports.Test = Test;
//# sourceMappingURL=get_github_creds.js.map