"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const testing_1 = require("@seagull/testing");
require("chai/register-should");
const mocha_typescript_1 = require("mocha-typescript");
const src_1 = require("../../src");
let Test = class Test extends testing_1.BasicTest {
    before() {
        return __awaiter(this, void 0, void 0, function* () {
            yield testing_1.BasicTest.prototype.before.bind(this)();
        });
    }
    after() {
        return __awaiter(this, void 0, void 0, function* () {
            yield testing_1.BasicTest.prototype.after.bind(this)();
        });
    }
    'can create empty LogicalToPathMap for empty stack'() {
        return __awaiter(this, void 0, void 0, function* () {
            const projectName = 'test-project';
            const app = new src_1.SeagullApp({ projectName });
            const synthStack = app.synthesizeStack(projectName);
            const map = src_1.createLogicalToPathMap(synthStack);
            const mapExistsAndIsEmpty = map && Object.keys(map).length === 0;
            mapExistsAndIsEmpty.should.be.equals(true);
        });
    }
    'can create a LogicalToPathMap for a not empty stack'() {
        return __awaiter(this, void 0, void 0, function* () {
            const projectName = 'test-project';
            const logGroupName = 'test-log';
            const app = new src_1.SeagullApp({ projectName });
            app.stack.addLogGroup(logGroupName);
            const synthStack = app.synthesizeStack(projectName);
            const map = src_1.createLogicalToPathMap(synthStack);
            const mapEntry = map[Object.keys(map)[0]];
            mapEntry.indexOf(projectName).should.be.above(-1);
            mapEntry.indexOf(logGroupName).should.be.above(-1);
        });
    }
};
__decorate([
    mocha_typescript_1.test,
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", Promise)
], Test.prototype, "can create empty LogicalToPathMap for empty stack", null);
__decorate([
    mocha_typescript_1.test,
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", Promise)
], Test.prototype, "can create a LogicalToPathMap for a not empty stack", null);
Test = __decorate([
    mocha_typescript_1.suite('LogicalToPathMap')
], Test);
exports.Test = Test;
//# sourceMappingURL=logical_to_path_map.js.map