"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const testing_1 = require("@seagull/testing");
require("chai/register-should");
const mocha_typescript_1 = require("mocha-typescript");
const aws_sdk_1 = require("aws-sdk");
const src_1 = require("../src");
let Test = class Test extends testing_1.BasicTest {
    before() {
        return __awaiter(this, void 0, void 0, function* () {
            yield testing_1.BasicTest.prototype.before.bind(this)();
            this.envSharedCreds = process.env.AWS_SHARED_CREDENTIALS_FILE;
            process.env.AWS_SHARED_CREDENTIALS_FILE = './test_data/credentials';
        });
    }
    after() {
        return __awaiter(this, void 0, void 0, function* () {
            yield testing_1.BasicTest.prototype.after.bind(this)();
            process.env.AWS_SHARED_CREDENTIALS_FILE = this.envSharedCreds;
        });
    }
    'can set the profile'() {
        return __awaiter(this, void 0, void 0, function* () {
            const options = {
                filename: process.env.AWS_SHARED_CREDENTIALS_FILE,
                profile: 'default',
            };
            aws_sdk_1.config.credentials = new aws_sdk_1.SharedIniFileCredentials(options);
            aws_sdk_1.config.credentials.accessKeyId.should.be.equals('12345678');
            aws_sdk_1.config.credentials.secretAccessKey.should.be.equals('98765453421');
            src_1.setCredsByProfile('test-user');
            aws_sdk_1.config.credentials.accessKeyId.should.be.equals('abcdefg');
            aws_sdk_1.config.credentials.secretAccessKey.should.be.equals('klmnopq');
            src_1.setCredsByProfile('default');
            aws_sdk_1.config.credentials.accessKeyId.should.be.equals('12345678');
            aws_sdk_1.config.credentials.secretAccessKey.should.be.equals('98765453421');
        });
    }
    'cannot set invalid profile'() {
        return __awaiter(this, void 0, void 0, function* () {
            const options = {
                filename: process.env.AWS_SHARED_CREDENTIALS_FILE,
                profile: 'default',
            };
            aws_sdk_1.config.credentials = new aws_sdk_1.SharedIniFileCredentials(options);
            aws_sdk_1.config.credentials.accessKeyId.should.be.equals('12345678');
            aws_sdk_1.config.credentials.secretAccessKey.should.be.equals('98765453421');
            src_1.setCredsByProfile('invalid-profile');
            aws_sdk_1.config.credentials.accessKeyId.should.be.equals('12345678');
            aws_sdk_1.config.credentials.secretAccessKey.should.be.equals('98765453421');
        });
    }
};
__decorate([
    mocha_typescript_1.test,
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", Promise)
], Test.prototype, "can set the profile", null);
__decorate([
    mocha_typescript_1.test,
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", Promise)
], Test.prototype, "cannot set invalid profile", null);
Test = __decorate([
    mocha_typescript_1.suite('SetAwsCredentials')
], Test);
exports.Test = Test;
//# sourceMappingURL=set_aws_credentials.js.map